/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2010. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.calm.foundation.rcp.ui.internal;

import org.eclipse.swt.widgets.Control;
import org.eclipse.ui.PlatformUI;


public class HelpContextIds {
	
	private static final String PREFIX= CALMFoundationRCPUIPlugin.PLUGIN_ID + "."; //$NON-NLS-1$
	
	public static final String ADD_CLM_ARTIFACT_LINK= PREFIX + "link_remote_clm_artifact"; //$NON-NLS-1$
	
	public static void hookHelpListener(Control control, String contextId) {
		PlatformUI.getWorkbench().getHelpSystem().setHelp(control, contextId);
	}
}
